directory-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Kiran Ayyagari (JIRA)" <j...@apache.org>
Subject [jira] Commented: (DIRSERVER-1588) apache ds 1.5.5 runs into infinite loop with jre 1.6 only on solaris
Date Sun, 05 Dec 2010 08:57:11 GMT

    [ https://issues.apache.org/jira/browse/DIRSERVER-1588?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12966913#action_12966913
] 

Kiran Ayyagari commented on DIRSERVER-1588:
-------------------------------------------

Looks like your hit by a bug related to LdifEntry parsing, when a space is present at the
end of a value it is treated as a binary type and the value is Base64
encoded before inserting.

In your Add_Attr.ldif the below entry has a space at the end of the m-name attribute's value,
remove that space and import 
the whole ldif file (or just this single entry) into the server and see.

dn: m-oid=1.3.6.1.4.1.15265.5.29,ou=attributeTypes,cn=schema,ou=schema
changetype: add
objectClass: metaAttributeType
objectClass: metaTop
objectClass: top
m-name: rdsChangeConfigDatabases 
m-oid: 1.3.6.1.4.1.15265.5.29
m-syntax: 1.3.6.1.4.1.1466.115.121.1.15
m-equality: caseIgnoreMatch
m-substr: caseIgnoreSubstringsMatch

P.S:- as Emmanuel said we don't support 1.5.5 cause we have other things to work on. 
P.P.S:- on this lazy sunday morning, just thought that your ldif is causing the issue so gave
it a try, consider yourself lucky if this fix solves your problem, 

> apache ds 1.5.5 runs into infinite loop with jre 1.6 only on solaris
> --------------------------------------------------------------------
>
>                 Key: DIRSERVER-1588
>                 URL: https://issues.apache.org/jira/browse/DIRSERVER-1588
>             Project: Directory ApacheDS
>          Issue Type: Bug
>    Affects Versions: 1.5.5
>         Environment: Only on solaris
>            Reporter:  Anusha G Rao
>            Priority: Blocker
>         Attachments: Add_Attr.ldif, log.tar, rdsinst.tar.gz, schema.ldif
>
>
> Hi,
> I know there are a couple of defects logged and you have advised to use 1.5.7. But that
is not an option for us here as our customer is not willing to move to 1.5.7 as there are
ACL issues, hence we cannot move.
> We need to support apacheds 1.5.5 with jre 1.6.
> I have tried with apacheds with 1.5.4 and 1.5.7 with jre 1.6 it works fine. 
> Can you please tell me where the problem could be or what I could try to resolve this
issue.
> Any help is greatly appreciated.
> Thanks
> Anusha

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message